# https://www.mpscholten.de/nixos/2016/07/07/private-github-repositories-and-nixos.html
# https://nixos.org/wiki/FAQ#How_do_I_know_the_sha256_to_use_with_fetchgit.3F

with import <nixpkgs> {};

stdenv.mkDerivation rec {
  version = "master";
  name = "random-${version}";

  src = fetchgit {
    url = "https://gogs.prunetwork.fr/jpierre03/random.git";
    sha256 = "1izkzy852rjzlk3d9ndp3bklxc45gkwvpw0376x39flq1km0kyak";
  };

  buildInputs = [ gcc ];
  buildPhase = "make build";
  installPhase = "make install OUT=\$out";

  meta = with stdenv.lib; {
    description = "Program thas exit with 0 or 1 randomly";
    license = licenses.cc-by-nc-sa-40;
    maintainers = [ "Jean-Pierre PRUNARET <jean-pierre+git@prunetwork.fr>" ];
    platforms = platforms.linux;
  };
}
